Package org.apache.ignite.internal.processors.cache.distributed.near

## Interface IgniteTxMappings

All Known Implementing Classes:
  `IgniteTxMappingsImpl`, `IgniteTxMappingsSingleImpl`

    public interface IgniteTxMappings

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()` Clears this mappings.
`boolean` `empty()`
`@Nullable GridDistributedTxMapping` `get​(UUID nodeId)`
`@Nullable GridDistributedTxMapping` `localMapping()`
`Collection<GridDistributedTxMapping>` `mappings()`
`void` `put​(GridDistributedTxMapping mapping)`
`@Nullable GridDistributedTxMapping` `remove​(UUID nodeId)`
`boolean` `single()`
`@Nullable GridDistributedTxMapping` `singleMapping()`

### Method Detail

#### clear

    void clear()

Clears this mappings.

#### empty

    boolean empty()

Returns:
  `True` if there are no mappings.

#### get

    @Nullable
    @Nullable GridDistributedTxMapping get​(UUID nodeId)

Parameters:
  `nodeId` - Node ID.
Returns:
  Node mapping.

#### put

    void put​(GridDistributedTxMapping mapping)

Parameters:
  `mapping` - Mapping.

#### remove

    @Nullable
    @Nullable GridDistributedTxMapping remove​(UUID nodeId)

Parameters:
  `nodeId` - Node ID.
Returns:
  Removed mapping.

#### localMapping

    @Nullable
    @Nullable GridDistributedTxMapping localMapping()

Returns:
  Mapping for local node.

#### singleMapping

    @Nullable
    @Nullable GridDistributedTxMapping singleMapping()

Returns:
  Non null instance if this mappings contain only one mapping.

#### mappings

    Collection<GridDistributedTxMapping> mappings()

Returns:
  All mappings.

#### single

    boolean single()

Returns:
  `True` if this is single mapping.